getCodonCountsForAA {AnaCoDa} | R Documentation

## Get Codon Counts For a specific Amino Acid

### Description

provides the codon counts for a fiven amino acid across all genes

### Usage

    getCodonCountsForAA(aa, genome)

### Arguments

`aa` | One letter code of the amino acid for which the codon counts should be returned
`genome` | A genome object from which the counts of each codon can be obtained.

### Details

The returned matrix containes a row for each gene and a coloumn for each synonymous codon of `aa`.

### Value

Returns a data.frame storing the codon counts for the specified amino acid.

### Examples

    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")

    ## reading genome
    genome <- initializeGenomeObject(file = genome_file)
    counts <- getCodonCountsForAA("A", genome)

[Package AnaCoDa version 0.1.3.0 Index]